/*
 * Copyright (C) 2005 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.ldap.eon.connection;

/**
 * @author $Author: johan $
 * @version $Revision: 1.1 $
 */
public interface ConnectionInformation
{

	/**
	 * The unique ID for this connection. The ID is used by EON to refer to
	 * different connections.
	 * 
	 * @return The id
	 */
	public ConnectionGUID getGUID();

	/**
	 * Get a description of the connection. This is used to let the user know
	 * which connection this is. It should preferrably contain information that
	 * lets the user know which host and by which identity the connection is
	 * made.
	 * 
	 * @return A human readable description of the connection instance.
	 */
	public String getDescription();

}
